package cpcns.dingZhi.dongTaiJieDian.service.impl;

package .tmp;

import cpcns.base.common.User;
import cpcns.base.common.util.DateUtil;
import cpcns.dangAnBase.base.service.impl.DangAnBaseServiceImpl;
import cpcns.dingZhi.dongTaiJieDian.dao.IDongTaiJieDianDao;
import cpcns.dingZhi.dongTaiJieDian.model.DongTaiJieDian;
import cpcns.dingZhi.dongTaiJieDian.service.IDongTaiJieDianService;
import java.util.Date;
import java.util.List;
import java.util.Map;
import javax.servlet.http.HttpServletRequest;
import org.apache.commons.lang.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service("dongTaiJieDianService")
public class DongTaiJieDianServiceImpl extends DangAnBaseServiceImpl<DongTaiJieDian> implements IDongTaiJieDianService {
  @Autowired
  private IDongTaiJieDianDao dongTaiJieDianDao;
  
  public String getDongTaiJieDian(String menLei) {
    StringBuffer sb = new StringBuffer();
    List<Object[]> list = this.dongTaiJieDianDao.getList("select yingwenmingcheng,zhongwenmingcheng from G_ZUHECHAXUN  where menlei='" + menLei + "' and isdongtaijiedian=1 order by cixu");
    List<Object> seleList = this.dongTaiJieDianDao.getList("select filedMingCheng from D_DONGTAIJIEDIAN  where menlei='" + menLei + "'");
    if (list != null && list.size() > 0)
      for (int i = 0; i < list.size(); i++) {
        Object[] objs = list.get(i);
        String str = objs[0] + "=" + objs[1];
        if (seleList != null && seleList.size() > 0) {
          boolean flage = panDuanInfo((String)objs[0], seleList);
          if (flage)
            if (sb.length() > 0) {
              sb.append(";").append(str);
            } else {
              sb.append(str);
            }  
        } else if (sb.length() > 0) {
          sb.append(";").append(str);
        } else {
          sb.append(str);
        } 
      }  
    return sb.toString();
  }
  
  private boolean panDuanInfo(String fd, List<Object> seleList) {
    boolean flage = true;
    if (seleList != null && seleList.size() > 0)
      for (int j = 0; j < seleList.size(); j++) {
        Object obj_ = seleList.get(j);
        String va = (String)obj_;
        if (va.equals(fd)) {
          flage = false;
          break;
        } 
      }  
    return flage;
  }
  
  public List getSeleDongTaiJieDian(String menLei, String pid) {
    StringBuffer sql = new StringBuffer("select * from D_DONGTAIJIEDIAN  where menlei='");
    sql.append(menLei).append("'");
    if (StringUtils.isNotBlank(pid))
      sql.append(" and pid>=").append(pid); 
    sql.append(" order by pid");
    List<Map<String, Object>> list = this.dongTaiJieDianDao.getListToMap(sql.toString(), true);
    return list;
  }
  
  public void saveDTJD(String table, HttpServletRequest request, User user) {
    String dtjdInfo = request.getParameter("dtjdInfo");
    String pid = request.getParameter("pid");
    String menLei = request.getParameter("menLei");
    String sql = "delete " + table + "  where menlei='" + menLei + "' and pid>=" + pid;
    this.dongTaiJieDianDao.updateORSave(sql);
    if (StringUtils.isNotBlank(dtjdInfo) && !"all".equals(dtjdInfo)) {
      String[] strs = dtjdInfo.split(";");
      for (int i = 0; i < strs.length; i++) {
        String[] str = strs[i].split(",");
        DongTaiJieDian dtjd = new DongTaiJieDian();
        dtjd.setHangBiaoShi(Integer.valueOf(this.dongTaiJieDianDao.getPk("d_dongTaiJieDian")));
        dtjd.setMenLei(menLei);
        dtjd.setFiledMingCheng(str[0]);
        dtjd.setFiledLabel(str[1]);
        dtjd.setPid(str[2]);
        dtjd.setPaiXu(str[3]);
        dtjd.setCengJi(Integer.valueOf(0));
        dtjd.setSheZhiRenBiaoShi(user.getBiaoShi());
        dtjd.setSheZhiRenMingCheng(user.getMingCheng());
        dtjd.setSheZhiDate(DateUtil.formatDate(new Date()));
        this.dongTaiJieDianDao.save(dtjd);
      } 
    } 
  }
}
